POST api/sms/subscribe-for-inbound-message
Request Information
URI Parameters
None.
Body Parameters
SubscribeForInboundMessageRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| UserPhoneNumber | string |
None. |
|
| PhoneNumberFrom | string |
None. |
|
| WebhookUrl | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
|
| IsAutoUnsubscribe | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"userPhoneNumber": "sample string 1",
"phoneNumberFrom": "sample string 2",
"webhookUrl": "sample string 3",
"userId": "58a1ab39-21a0-4c91-ac23-f93ec0590109",
"agencyId": "e64ec4e8-7242-498c-a538-65bb129d2b99",
"isAutoUnsubscribe": true
}
application/xml, text/xml
Sample:
<SubscribeForInboundMessageRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData.SMS"> <AgencyId>e64ec4e8-7242-498c-a538-65bb129d2b99</AgencyId> <IsAutoUnsubscribe>true</IsAutoUnsubscribe> <PhoneNumberFrom>sample string 2</PhoneNumberFrom> <UserId>58a1ab39-21a0-4c91-ac23-f93ec0590109</UserId> <UserPhoneNumber>sample string 1</UserPhoneNumber> <WebhookUrl>sample string 3</WebhookUrl> </SubscribeForInboundMessageRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "d4aea2f4-2d3c-4393-84a4-2b4d186dc777",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>d4aea2f4-2d3c-4393-84a4-2b4d186dc777</DatabaseId> </NowCertsApiResultWithDatabaseId>